///////////////////////////////////////////////////////////////////////////////
//  For project details and authors, refer to README and AUTHORS files
//
//  This file is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This file is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//  To view the licence online, go to: http://www.gnu.org/copyleft/gpl.html
////////////////////////////////////////////////////////////////////////////////
#ifndef _RESOURCE_WIZARD_PAGE_H_
#define _RESOURCE_WIZARD_PAGE_H_

#include <wx/wx.h>
#include <wx/wizard.h>

// This is a more complicated example of validity checking:
// using events we may allow the user to return to the previous
// page, but not to proceed. It also demonstrates how to
// intercept a Cancel button press.
// PAGE 3
class ResourceWizardPage : public wxWizardPageSimple
{
public:

	#ifdef WIN32
		enum
		{ USESAMPLESRESOURCEPATHS, SELECTRESOURCEPATHS ,DONTCONFIGURERESOURCEPATHS };
	#else
		// USESAMPLESRESOURCEPATHS is only used on Win32, it's only defined here for code to compile
		enum
		{ SELECTRESOURCEPATHS ,DONTCONFIGURERESOURCEPATHS, USESAMPLESRESOURCEPATHS};
	#endif


    ResourceWizardPage(wxWizard *parent);

    // wizard event handlers
    void OnWizardCancel(wxWizardEvent& event);

    void OnWizardPageChanging(wxWizardEvent& event);

	void OnRadioChanging(wxCommandEvent& event);

private:
    wxRadioBox *m_radio;

	wxBoxSizer *mainSizer;
	wxStaticText *helpText;

    DECLARE_EVENT_TABLE()
};


#endif // _RESOURCE_WIZARD_PAGE_H_
